#!/bin/bash

echo "install dependencies"

source ./gitlab-ci/shared.sh
pwd

# install pre-req for obuspa-6
exec_cmd apt update
exec_cmd apt install -y software-properties-common
exec_cmd apt install -y libssl-dev libcurl4-openssl-dev automake libtool
exec_cmd apt install -y libsqlite3-dev libz-dev autoconf pkg-config
exec_cmd apt-add-repository ppa:mosquitto-dev/mosquitto-ppa -y -u
exec_cmd apt install -y libmosquitto-dev mosquitto mosquitto-clients
exec_cmd apt install -y libwebsockets-dev
exec_cmd apt install -y python3-pip
exec_cmd pip3 install pexpect ubus

# install rabitmq
dpkg -s rabbitmq-server > /dev/null 2>&1
if [ "$?" -ne 0 ]; then
	exec_cmd apt install -y rabbitmq-server

	# configure rabitmq
	/etc/init.d/rabbitmq-server restart
	rabbitmqctl add_user admin password 
	rabbitmqctl set_user_tags admin administrator
	rabbitmqctl set_permissions -p / admin ".*" ".*" ".*"
	rabbitmq-plugins enable rabbitmq_stomp
fi

# install datamodel dependency
install_bbfd

# install obuspa_test_controller
[ -f /tmp/usp.db ] && rm /tmp/usp.db
[ -f /tmp/test_usp.db ] && rm /tmp/test_usp.db

cd /opt/dev/
[ -d obuspa-test-controller ] && rm -fr obuspa-test-controller
exec_cmd git clone https://dev.iopsys.eu/bbf/obuspa-test-controller.git

cd obuspa-test-controller
exec_cmd autoreconf --install --force
exec_cmd ./configure
exec_cmd make
exec_cmd cp -f obuspa /usr/local/bin/obuspa_test
